Bug 33265 - poppler: Memory corruption (3.2)
poppler: Memory corruption (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P2 normal (vote)
: UCS 3.2-3-errata
Assigned To: Janek Walkenhorst
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 10:50 CET by Moritz Muehlenhoff
Modified: 2014-09-10 17:38 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-11-12 10:50:40 CET
+++ This bug was initially created as a clone of Bug #32873 +++

Memory corruption in JPEG error handler (CVE-2010-5110) (The ID is from 2010, but was only recently assigned)
Comment 1 Moritz Muehlenhoff univentionstaff 2014-08-14 21:49:24 CEST
A fixed package now exists in squeeze-lts
Comment 2 Janek Walkenhorst univentionstaff 2014-08-29 18:27:35 CEST
Test (amd64): OK
Advisory: 2014-08-29-poppler.yaml
Comment 3 Philipp Hahn univentionstaff 2014-09-02 12:18:15 CEST
OK: ucs_3.2-0-0-errata3.2-3/ucs_3.2-0-errata3.2-3.poppler.201408291719.log.bz2
OK: aptitude install '?source-package(poppler)?installed'
OK: /usr/share/doc/libpoppler5/changelog.Debian.gz
OK: <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=722705> = CVE-2010-5110
OK: pdfinfo, pdftotext, pdfimages
OK: /usr/sbin/announce_errata -V ucs-3.2-3/doc/errata/staging/2014-08-29-poppler.yaml
OK: amd64 i386
Comment 4 Janek Walkenhorst univentionstaff 2014-09-10 17:38:37 CEST
http://errata.univention.de/ucs/3.2/194.html